## kali-wallpapers 2026.1.0

=== Makefile ===
build:
	bin/generate-symlinks-16x9.sh
	bin/generate-kde-wallpapers.sh
	bin/legacy-gnome-backgrounds-16x9.sh
	# Reduce size of images with lossless compression (optipng)
	# find */backgrounds/ -type f -name "*.png" -exec \
	#  optipng -o 9 -strip all {} \;
	# Reduce size of images with lossy compression (pngquant)
	#find */backgrounds/ -type f -name "*.png" -exec \
	#  pngquant --skip-if-larger --speed=1 --strip --verbose -f {} --output {} \;

## kali-wallpapers 2025.1.2

=== debian/changelog ===
kali-wallpapers (2025.1.2) kali-dev; urgency=medium

  * Darken login-blurred

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 12 Feb 2025 14:24:24 +0100

kali-wallpapers (2025.1.1) kali-dev; urgency=medium

  * Fix missing background in gnome
  * Set 'Breaks: kali-themes (<< 2025.1.7)' for kali-wallpapers 2024 and 2025

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 12 Feb 2025 13:14:41 +0100

kali-wallpapers (2025.1.0) kali-dev; urgency=medium

  * Add new wallpaper kali-maze
  * Add new wallpaper kali-oleo
  * Save more wallpaper ideas
  * Add new wallpaper kali-waves
  * Minor changes to kali-oleo
  * Improve kali-waves wallpaper
  * Add wallpaper idea
  * Minor changes to kali-maze
  * Update kali-waves wallpaper
  * Add kali-oleo-dark wallpaper
  * Update kali-oleo-dark wallpaper
  * Improve alignment of kali logo in kali-waves wallpaper
  * Move to kali folder
  * Add maze patter
  * Move kali-waves-2 and kali-oleo-light to kali-community-wallpapers
  * Add new wallpapers kali-tiles & kali-tiles-purple
  * Optimize 2025 wallpapers with ect
  * Convert kali-maze to jpeg to reduce size
  * Add svg file for login display
  * Remove png version of kali-maze
  * Add new login-blurred background
  * Configure kali-wallpapers-2025 package
  * Add blender-tiles-purple
  * Organize 2025 backgrounds package
  * Minor tweaks for blender-tiles background
  * Convert kali-tiles backgrounds to jpg
  * Configure backgrounds for gnome
  * Remove login-blurred login.svg from 2024
  * Add xml files for main 2025 backgrounds
  * Fix wallpaper name in 2025/gnome-background-properties/kali-backgrounds_2025.xml
  * Finish kali-tiles wallpapers

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Feb 2025 14:41:28 +0100

kali-wallpapers (2024.4.1) kali-dev; urgency=medium

  * Rename blurred login background to hide it in desktop settings

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Sep 2024 09:58:12 +0200

kali-wallpapers (2024.4.0) kali-experimental; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Update files for KDE plasma wallpaper metadata
  * Regenerate Plasma wallpapers metadata
  * Add blurred login background for gnome-shell

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 26 Sep 2024 14:59:18 +0200

kali-wallpapers (2024.1.1) kali-dev; urgency=medium

  * Add xml for kali-purple-whirlwind
  * Save kali-dracula and kali-nord source
  * Add new wallpaper kali-metal-dark
  * Configure new wallpaper kali-metal-dark

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 Feb 2024 12:40:03 +0100

kali-wallpapers (2024.1.0) kali-dev; urgency=medium

  * Add testing ideas
  * Add kali-board wallpaper
  * Add kali-light2 wallpaper
  * Finish kali-metal background
  * Finish kali-light2 background
  * Add a bit more shadow to kali-maze
  * Organize ideas folder
  * Add new background kali-purple-whirlwind
  * Upload testing pattern glitchsea-dreamsmoth
  * Improve logo alignment in kali-metal
  * Improve text shadow in kali-purple-whirlwind
  * Fix kali-purple-whirlwind and adjust banner size
  * Compress kali-purple-whirlwind
  * Compress kali-metal
  * Reduce detail size in kali-aqua
  * Compress kali-aqua
  * Upload separate background from kali-purple-whirlwind
  * Improve text shadow in kali-purple-whirlwind
  * Upload pattern idea
  * Optimize backgrounds with ect
  * New wallpaper kali-ferrofluid
  * New version of kali-ferrofluid
  * Organize 2024 backgrounds package
  * Replace new login.svg file
  * Add package data for kali-wallpapers-2024
  * Upload wallpaper idea kali-glitchsea-dreamsmooth
  * Fix file name
  * Add missing xml files
  * Add missing kali-wallpapers-2024.install file

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 23 Jan 2024 16:07:31 +0100

kali-wallpapers (2023.2.0) kali-dev; urgency=medium

  * Add Offsec Man wallpaper

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 12 May 2023 10:27:08 +0200

kali-wallpapers (2023.1.0) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).
  * Update standards version to 4.6.1, no changes needed.

  [ Daniel Ruiz de Alegría ]
  * Add kali-red-sticker wallpaper
  * Improve shadows for kali-red-sticker
  * Improve shadows for kali-cubism
  * Optimize kali-prompt and kali-red-sticker PNGs
  * Add kali-purple wallpaper
  * Update kali-purple
  * Add wapiti to kali-red-sticker
  * Add kali-aqua
  * Update kali-aqua
  * Move kali-aqua to 2024 and add kali-laminaria
  * Configure backgrounds for all desktops
  * Add 4x3 variant for kali-laminaria and improve shadow
  * Reduce size of wallpapers for 2023
  * Add package for kali-wallpapers-2023
  * Add kali-wallpapers-2023.install
  * Use real svg image for login.svg
  * Disable png optimization during build
  * Add variants for kali-sticker
  * Add kali-moto wallpaper
  * Update symlinks
  * Use png image for kali-moto

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 06 Feb 2023 13:13:26 +0100

kali-wallpapers (2022.4.1) kali-dev; urgency=medium

  * Show mobile wallpapers in gnome settings

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 23 Nov 2022 11:46:37 +0100

kali-wallpapers (2022.4.0) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Add d/watch

  [ Daniel Ruiz de Alegría ]
  * Add package for mobile wallpapers
  * Fix folder names for 2023-mobile kde images

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 21 Nov 2022 11:18:02 +0100

kali-wallpapers (2022.1.3) kali-dev; urgency=medium

  * Add wallpaper idas for nethunter
  * Add new wallpaper kali-prompt
  * Improve shadow of kali-prompt wallpaper
  * Update background in login.svg

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 16 Nov 2022 12:09:04 +0100

kali-wallpapers (2022.1.2) kali-dev; urgency=medium

  * Reduce size of images with lossless compression

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Sep 2022 18:10:12 +0200



=== debian/control ===
Source: kali-wallpapers
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
           Raphaël Hertzog <raphael@offensive-security.com>,
Build-Depends: debhelper-compat (= 13),
               graphicsmagick-imagemagick-compat,
               optipng,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://gitlab.com/kalilinux/packages/kali-wallpapers.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-wallpapers

# Note: On next version bump, we can get rid of the breaks/replaces.

Package: kali-wallpapers-all
Architecture: all
Depends: ${misc:Depends},
         kali-wallpapers-2025,
         kali-wallpapers-2024,
         kali-wallpapers-2023,
         kali-wallpapers-2022,
         kali-wallpapers-2020.4,
         kali-wallpapers-2019.4,
         kali-wallpapers-legacy,
Description: All wallpapers for Kali Linux
 This metapackage depends on all kali-wallpapers-* packages, providing all the
 wallpapers used for BackTrack & Kali Linux

# The package is versioned so that it stays around on end-user systems whenever
# we introduce a new set of wallpapers, thus not breaking the user's background
# if he selected a non-default wallpaper.
Package: kali-wallpapers-2025
Architecture: all
Depends: ${misc:Depends}
Breaks:
 kali-wallpapers-2024 (<< 2025.1.0~),
 kali-themes (<< 2025.1.7),
Replaces: kali-wallpapers-2024 (<< 2025.1.0~),
Description: Default wallpapers for Kali Linux 2025 and newer
 This package contains multiple wallpapers for Kali Linux 2025 and future
 releases.
 .
 If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
 remove them all except the latest which is a dependency of kali-themes-common
 and is thus required.

# The package is versioned so that it stays around on end-user systems whenever
# we introduce a new set of wallpapers, thus not breaking the user's background
# if he selected a non-default wallpaper.
Package: kali-wallpapers-2024
Architecture: all
Depends: ${misc:Depends}
Breaks: kali-themes (<< 2025.1.7),
Description: Default wallpapers for Kali Linux 2024 and newer
 This package contains multiple wallpapers for Kali Linux 2024 and future
 releases.
 .
 If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
 remove them all except the latest which is a dependency of kali-themes-common
 and is thus required.

# The package is versioned so that it stays around on end-user systems whenever
# we introduce a new set of wallpapers, thus not breaking the user's background
# if he selected a non-default wallpaper.
Package: kali-wallpapers-mobile-2023
Architecture: all
Depends: ${misc:Depends}
Description: Default wallpapers for Kali Linux Mobile 2023 and newer
 This package contains multiple wallpapers for Kali Linux Mobile 2023 and future
 releases.
 .
 If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
 remove them all except the latest which is a dependency of kali-themes-common
 and is thus required.

# The package is versioned so that it stays around on end-user systems whenever
# we introduce a new set of wallpapers, thus not breaking the user's background
# if he selected a non-default wallpaper.
Package: kali-wallpapers-2023
Architecture: all
Depends: ${misc:Depends}
Description: Default wallpapers for Kali Linux 2023 and newer
 This package contains multiple wallpapers for Kali Linux 2023 and future
 releases.
 .
 If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
 remove them all except the latest which is a dependency of kali-themes-common
 and is thus required.

# The package is versioned so that it stays around on end-user systems whenever
# we introduce a new set of wallpapers, thus not breaking the user's background
# if he selected a non-default wallpaper.
Package: kali-wallpapers-2022
Architecture: all
Depends: ${misc:Depends}
Description: Default wallpapers for Kali Linux 2022 and newer
 This package contains multiple wallpapers for Kali Linux 2022 and future
 releases.
 .
 If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
 remove them all except the latest which is a dependency of kali-themes-common
 and is thus required.

Package: kali-wallpapers-2020.4
Architecture: all
Depends: ${misc:Depends}
Description: Default wallpapers for Kali Linux 2020.4 and newer
 This package contains multiple wallpapers that were in use in Kali Linux
 between versions 2020.4 and 2021.3.
 .
 If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
 remove them all except the latest which is a dependency of kali-themes-common
 and is thus required.

Package: kali-wallpapers-2019.4
Architecture: all
Depends: ${misc:Depends}
Description: Default wallpapers for Kali Linux 2019.4 and newer
 This package contains multiple wallpapers that were in use in Kali Linux
 between versions 2019.4 and 2020.3.
 .
 If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
 remove them all except the latest which is a dependency of kali-themes-common
 and is thus required.

Package: kali-wallpapers-legacy
Architecture: all
Depends: ${misc:Depends}
Description: Wallpapers used over the years
 Wallpapers and resources used over the years for BackTrack & Kali Linux,
 used for nostalgic cosmetic value

Package: kali-legacy-wallpapers
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
         kali-wallpapers-legacy,
Description: Transitional package to install kali-wallpapers-legacy
 The package has been renamed kali-wallpapers-legacy and is part of
 the kali-wallpapers source package now.
 .
 This dummy package can be safely removed once kali-wallpapers-legacy
 is installed on the system.

## kali-wallpapers 2026.1.0

=== debian/changelog ===
kali-wallpapers (2026.1.0) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * Upload kali-halloween wallpaper svg file
  * Minor tweaks to kali-halloween
  * Add new wallpaper kali-hack
  * Fix kali-hack wallpaper
  * Add kali wordmark to kali-hack wallpaper
  * Generate new login-blurred background and login.svg
  * Add new wallpaper kali-cubes
  * Finish kali-cubes wallpaper
  * Optimize kali-cubes with optipng
  * Add crt filter to kali-hack wallpaper
  * Add new wallpaper kali-glitch
  * Improve kali-rodilius
  * Add new wallpaper kali-net
  * Remove some patter ideas
  * Center kali logo in kali-cubes wallpaper
  * Add new wallpaper kali-cubes-purple
  * Optimize png images
  * Add new loging wallpaper kali-cubes2
  * Finish kali-hack wallpaper
  * Reduce 2026 backgrounds size
  * Change the default login wallpaper to kali-cubes2
  * Generate 2026 wallpapers for KDE
  * Generate 2026 wallpapers for Xfce
  * Generate 2026 wallpapers for GNOME
  * Prepare 2026 wallpapers package

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 04 Feb 2026 14:25:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                graphicsmagick-imagemagick-compat,
                optipng,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://gitlab.com/kalilinux/packages/kali-wallpapers.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-wallpapers
 
@@ -17,6 +16,7 @@
 Package: kali-wallpapers-all
 Architecture: all
 Depends: ${misc:Depends},
+         kali-wallpapers-2026,
          kali-wallpapers-2025,
          kali-wallpapers-2024,
          kali-wallpapers-2023,
@@ -31,13 +31,27 @@
 # The package is versioned so that it stays around on end-user systems whenever
 # we introduce a new set of wallpapers, thus not breaking the user's background
 # if he selected a non-default wallpaper.
+Package: kali-wallpapers-2026
+Architecture: all
+Depends: ${misc:Depends}
+Breaks:
+ kali-wallpapers-2025 (<< 2026.1.0~),
+ kali-themes (<< 2026.1.1),
+Replaces: kali-wallpapers-2025 (<< 2026.1.0~),
+Description: Default wallpapers for Kali Linux 2026 and newer
+ This package contains multiple wallpapers for Kali Linux 2026 and future
+ releases.
+ .
+ If you have multiple kali-wallpapers-YYYY.X packages on your system, you can
+ remove them all except the latest which is a dependency of kali-themes-common
+ and is thus required.
+
+# The package is versioned so that it stays around on end-user systems whenever
+# we introduce a new set of wallpapers, thus not breaking the user's background
+# if he selected a non-default wallpaper.
 Package: kali-wallpapers-2025
 Architecture: all
 Depends: ${misc:Depends}
-Breaks:
- kali-wallpapers-2024 (<< 2025.1.0~),
- kali-themes (<< 2025.1.7),
-Replaces: kali-wallpapers-2024 (<< 2025.1.0~),
 Description: Default wallpapers for Kali Linux 2025 and newer
  This package contains multiple wallpapers for Kali Linux 2025 and future
  releases.
@@ -52,7 +66,6 @@
 Package: kali-wallpapers-2024
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kali-themes (<< 2025.1.7),
 Description: Default wallpapers for Kali Linux 2024 and newer
  This package contains multiple wallpapers for Kali Linux 2024 and future
  releases.
